Package org.eclipse.emf.compare.internal

## Class FeatureFilterAdapter

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.compare.internal.FeatureFilterAdapter

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`

    public class FeatureFilterAdapter
    extends AdapterImpl

This will be used to attach the FeatureFilter to its comparison so that it can be used after the diff process.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Field Summary

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

### Constructor Summary

Constructors
`FeatureFilterAdapter​(FeatureFilter featureFilter)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`FeatureFilter` `getFeatureFilter()`
`boolean` `isAdapterForType​(Object type)`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, notifyChanged, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FeatureFilterAdapter

    public FeatureFilterAdapter​(FeatureFilter featureFilter)

Constructor.

Parameters:
  `featureFilter` - The wrapped feature filter.

### Method Detail

#### isAdapterForType

    public boolean isAdapterForType​(Object type)

Specified by:
  `isAdapterForType` in interface `Adapter`
Overrides:
  `isAdapterForType` in class `AdapterImpl`

#### getFeatureFilter

    public FeatureFilter getFeatureFilter()